
/*
    ---------------------------------------------------------
    Basics layout
    ---------------------------------------------------------
*/

@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;700;900&display=swap');

* {
    margin: 0;
    padding: 0;
    border: 0;
    box-sizing: border-box;
    vertical-align: baseline;
    -webkit-tap-highlight-color: rgba(0,0,0,0);
    list-style: none;
    outline: 0;
}

html {
    background-color: #FFF;
    font: 400 18px/120% 'Montserrat',sans-serif;
    color: #666;

    --blue-aqua-buttons: #00A3B4;
    --blue-aqua-buttons-hover: #204A63;
    --blue-aqua-links: #13B8A6;
    --blue-dark: #002546;
    --blue-titles: #1F2937;
    --blue-light: #8EBFF5;
    --blue-focus: #2563EB;

    --gray01: #374151;
    --gray02: #6B7280;
    --gray03: #9DA4B0;
    --gray04: #E5E7EB;
    --gray05: #F6F7F8;
}
body {
    max-width: 1440px;
    margin: 0 auto;
    background-color: #FFF;
}
@media handheld, only screen and (min-width: 1440px) {
    html {
        background-color: #E6EAED;
    }
}

strong, b {
    font-weight: 700;
}

.transitions {
    -webkit-transition: all 0.3s ease-out;
    -moz-transition: all 0.3s ease-out;
    -ms-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}

main {
    margin: 0 auto;
    max-width: 1230px;
    /* max-width: 1390px; */
    padding: 70px 0;
    background-color: #FFF;
}
@media handheld, only screen and (max-width: 1280px) {
    main {
        padding: 70px 25px;
    }
}
@media handheld, only screen and (max-width: 430px) {
    main {
        padding: 35px 20px;
    }
}

h1, h2, h3, h4 {
    font-size: 1.7rem;
    line-height: 120%;
    color: var(--blue-titles);
    font-weight: 700;
}

.section-h2 {
    margin-bottom: 30px;
    text-align: left;
    text-transform: uppercase;
}
.section-h3 {
    margin-bottom: 12px;
    font-size: 1.3rem;
    text-align: left;
    text-transform: uppercase;
}

.gray-container {
    padding: 35px 45px;
    background-color: var(--gray05);
    border-radius: 15px;
}
@media handheld, only screen and (max-width: 580px) {
    .gray-container {
        padding: 26px 30px;
    }
}

.table, .table-column {
    width: 100%;
}
.table {
    display: flex;
    flex-direction: row;
    gap: 6%;
    margin-bottom: 25px;
}
.table:last-child,
.table-column:last-child {
    margin-bottom: 0;
}
@media handheld, only screen and (max-width: 820px) {
    .table {
        display: block;
    }
    .table-column {
        margin-bottom: 80px;
    }
}

/*
    ---------------------------------------------------------
    Navigation bar
    ---------------------------------------------------------
*/

@-webkit-keyframes bounce {
    0% {
        filter: drop-shadow(0 0 0 rgba(255,255,255,0));
    }
    0%, 20%, 50%, 80%, 100% {
        -webkit-transform: translateY(0);
    }
    40% {
        -webkit-transform: translateY(-30px);
        filter: drop-shadow(0 0 5px rgba(255,255,255,0.5));
    }
    60% { -webkit-transform: translateY(-15px); }
    100% {
        filter: drop-shadow(0 0 10px rgba(255,255,255,1));
    }
}
@keyframes bounce {
    0% {
        filter: drop-shadow(0 0 0 rgba(255,255,255,0));
    }
    0%, 20%, 50%, 80%, 100% {
        transform: translateY(0);
    }
    40% {
        transform: translateY(-30px);
        filter: drop-shadow(0 0 5px rgba(255,255,255,0.5));
    }
    60% { transform: translateY(-15px); }
    100% {
        filter: drop-shadow(0 0 10px rgba(255,255,255,1));
    }
}

.sitenav,
.sitenav * {
    margin: 0;
    padding: 0;
    border: 0;
    box-sizing: border-box;
    vertical-align: baseline;
    -webkit-tap-highlight-color: rgba(0,0,0,0);
    list-style: none;
    outline: 0;
    font: 400 18px/120% 'Montserrat',sans-serif;
}
.sitenav {
    --blue-aqua-buttons: #00A3B4;
    --blue-aqua-links: #13B8A6;
    --blue-dark: #002546;
}
.sitenav {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    left: 0;
    z-index: 999999;
}
.sitenav-fullbar {
    /* width: 100%; */
    background-color: var(--blue-dark);
}
.sitenav-content {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 15px 30px;
    max-width: 1280px !important;
    margin: 0 auto;
    background-color: var(--blue-dark);
}
.sitenav-content a {
    cursor: pointer;
}
.sitenav-logos img, .sitenav-logos hr,
.sitenav-links-nav a,
.sitenav-buttons-nav .button-cart path,
.sitenav-buttons-nav .button-mobnav span,
.sitenav-mobile-links a {
    -webkit-transition: all 0.3s ease-out;
    -moz-transition: all 0.3s ease-out;
    -ms-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}
.sitenav-logos {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 20px;
}
.sitenav-logos figure {
    display: inline-block;
    overflow: hidden;
}
.sitenav-logos img,
.sitenav-logos hr {
    height: 50px;
}
.sitenav-logos img {
    float: left;
}
.sitenav-logos hr {
    display: inline-block;
    width: 1px;
    background-color: rgba(255,255,255,0.3);
}
.sitenav-links-nav {
    margin-left: 50px;
}
.sitenav-links-nav ul {
    display: flex;
    flex-direction: row;
    gap: 20px;
}
.sitenav-links-nav li,
.sitenav-links-nav a {
    display: inline-block;
}
.sitenav-links-nav a {
    padding: 10px 0;
    font-size: 16px;
    color: #FFF;
    font-weight: 400;
    text-decoration: none;
}
.sitenav-links-nav a:hover,
.sitenav-links-nav a:active {
    color: var(--blue-aqua-links);
}
.sitenav-buttons-nav {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
    margin: 0 0 0 auto;
}
.sitenav-buttons-nav a {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    text-decoration: none;
    text-align: center;
}
.sitenav-buttons-nav .button-cart {
    -webkit-animation-timing-function: ease;
    animation-timing-function: ease;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    -webkit-animation-iteration-count: 4;
    animation-iteration-count: 4;
}
.sitenav-buttons-nav .button-cart-bounce {
    -webkit-animation-name: bounce;
    animation-name: bounce;
}
.sitenav-buttons-nav .button-cart {
    filter: drop-shadow(0 0 0 rgba(255,255,255,0));
}
.sitenav-buttons-nav .button-cart:active path {
    fill: var(--blue-aqua-buttons);
}
.sitenav-buttons-nav .button-cart svg {
    width: 25px;
    height: 25px;
}
.sitenav-buttons-nav .button-cart path {
    fill: #FFF;
}
.sitenav-buttons-nav .button-cart span {
    position: absolute;
    top: 0;
    right: -2px;
    display: inline-block;
    padding: 6px 0 5px;
    width: 20px;
    background-color: var(--blue-aqua-buttons);
    border-radius: 100px;
    font-size: 10px;
    line-height: 100%;
    color: #FFF;
    font-weight: 600 !important;
}
.sitenav-buttons-nav .button-mobnav {
    display: none;
    flex-direction: column;
}
.sitenav-buttons-nav .button-mobnav span {
    display: inline-block;
    width: 20px;
    height: 2px;
    margin-bottom: 5px;
    background-color: #FFF;
    opacity: 1;
    font-weight: 600;
}
.sitenav-buttons-nav .button-mobnav span:last-child {
    margin-bottom: 0;
}
.sitenav-buttons-nav .button-mobnav:hover span,
.sitenav-buttons-nav .button-mobnav:active span {
    background-color: var(--blue-aqua-buttons);
}
.sitenav.active .button-mobnav {
    position: relative;
}
.sitenav.active .button-mobnav span:nth-child(1),
.sitenav.active .button-mobnav span:nth-child(3) {
    position: absolute;
    top: 20px;
    left: 10px;
}
.sitenav.active .button-mobnav span:nth-child(1) {
    transform: rotate(55deg);
}
.sitenav.active .button-mobnav span:nth-child(3) {
    transform: rotate(-55deg);
}
.sitenav.active .button-mobnav span:nth-child(2) {
    opacity: 0;
}
.sitenav-mobile,
.sitenav-mobile-links,
.sitenav-mobile-overlay {
    position: absolute;
    overflow: hidden;
}
.sitenav-mobile {
    display: none;
    width: 100vw;
    height: calc(100vh - 80px);
}
.sitenav-mobile-overlay {
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0,0,0,0.6);
    cursor: pointer;
}
.sitenav-mobile-links {
    top: 0;
    right: -120%;
    width: 260px;
    height: 100%;
    overflow-y: auto;
    background-color: #123456;
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-transform: translate3d(0,0,0);
    -ms-transform: translate3d(0,0,0);
    transform: translate3d(0,0,0);
}
.sitenav-mobile-links ul,
.sitenav-mobile-links li {
    clear: both;
    width: 100%;
}
.sitenav-mobile-links ul {
    margin: 25px 0;
}
.sitenav-mobile-links a {
    display: block;
    padding: 12px 0 12px 25px;
    font-size: 16px;
    color: #FFF;
    font-weight: 500;
    text-decoration: none;
}
.sitenav-mobile-links a:hover,
.sitenav-mobile-links a:active {
    background-color: var(--blue-aqua-links) !important;
    color: var(--blue-dark) !important;
}
.sitenav-mobile-links .link-line {
    border-top: solid 1px rgba(255,255,255,0.1);
}
.sitenav-mobile-links .link-line:last-child {
    border-bottom: solid 1px rgba(255,255,255,0.1);
}
@media handheld, only screen and (max-width: 990px) {
    .sitenav-links-nav {
        display: none;
    }
    .sitenav-buttons-nav .button-mobnav {
        display: flex;
    }
}
@media handheld, only screen and (max-width: 430px) {
    .sitenav-mobile {
        height: calc(100vh - 60px);
    }
    .sitenav-content {
        padding: 10px 20px;
    }
    .sitenav-logos {
        gap: 12px;
    }
    .sitenav-logos img,
    .sitenav-logos hr {
        height: 25px;
    }
}

/*
    ---------------------------------------------------------
    Footer bar
    ---------------------------------------------------------
*/

.footer {
    padding: 25px 0;
    background-color: var(--blue-dark);
}
.footer .table {
    justify-content: space-between;
    align-items: center;
}
.footer .table-column {
    width: auto;
    margin-bottom: 0;
}
.footer-content {
    margin: 0 auto;
    max-width: 1230px;
    font-size: 0.9rem;
    line-height: 120%;
    color: #FFF;
}
.footer-credits {
    display: inline-block;
    font-size: 0.7rem;
}
.footer-links,
.footer-links .block {
    display: flex;
    flex-direction: row;
    align-items: center;
}
.footer-links a {
    display: inline-block;
    overflow: hidden;
    margin-left: 15px;
    color: #FFF;
    text-decoration: none;
}
.footer-links a:hover,
.footer-links a:active {
    color: var(--blue-light);
}
.footer-links a:first-child {
    margin-left: 0;
}
.footer-links .icon,
.footer-links svg {
    width: 24px;
    height: 24px;
}
.footer-links .icon:first-child {
    margin-left: 35px;
}
@media handheld, only screen and (max-width: 1280px) {
    .footer-content {
        padding: 0 25px;
    }
}
@media handheld, only screen and (max-width: 860px) {
    .footer-links,
    .footer-links .table,
    .footer-links .table-column,
    .footer-credits,
    .footer-links .block {
        display: block;
        width: 100%;
        text-align: center;
    }
    .footer-links .icon:first-child {
        margin-left: 0;
    }
    .footer-links .block {
        margin-top: 8px;
    }
}
@media handheld, only screen and (max-width: 820px) {
    .footer .table-column {
        margin-bottom: 10px;
    }
    .footer .table-column:last-child {
        margin-bottom: 0;
    }
}

/*
    ---------------------------------------------------------
    Navigation bar
    ---------------------------------------------------------
*/

.form .fieldset {
    margin-bottom: 40px;
    text-align: center;
}
.form .fieldset:last-child {
    margin-bottom: 0;
}
.form .row {
    display: flex;
    flex-direction: row;
    width: 100%;
    gap: 20px;
    margin-bottom: 15px;
}
.form .row:last-child {
    margin-bottom: 0;
}
.form .fieldset,
.form .input,
.form .label,
.form .select {
    display: block;
    width: 100%;
}
.form .input,
.form .label,
.form .select {
    text-align: left;
}
.form .short {
    width: 200px;
}
.form .label {
    font-size: 0.65rem;
    color: var(--blue-titles);
    text-transform: uppercase;
    font-weight: 700;
}
.form .select {
    position: relative;
}
.form .select::after {
    position: absolute;
    display: inline-block;
    right: 14px;
    bottom: 16px;
    border: solid var(--gray03);
    border-width: 0 3px 3px 0;
    padding: 3px;
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
    pointer-events: none;
    content: '';
}
.form input,
.form textarea,
.form select {
    width: 100%;
    padding: 8px 13px;
    box-sizing: border-box;
    background-color: #FFF;
    border: solid 2px var(--gray04);
    border-radius: 5px;
    font-size: 0.9rem;
    color: var(--blue-titles);
}
.form input,
.form textarea,
.form select,
.form label {
    font-family: 'Montserrat',sans-serif;
    font-weight: 500;
}
.form input:focus,
.form textarea:focus {
    border-color: var(--blue-focus);
}
.form input:disabled,
.form textarea:disabled,
.form select:disabled {
    border-width: 1px;
    background-color: transparent;
    color: var(--gray03);
    font-weight: 500;
}
.form input::-webkit-input-placeholder,
.form textarea::-webkit-input-placeholder {
    color: var(--gray03);
    font-weight: 400;
}
.form input::-moz-placeholder,
.form textarea::-moz-placeholder {
    color: var(--gray03);
    font-weight: 400;
}
.form input:-ms-input-placeholder,
.form textarea:-ms-input-placeholder {
    color: var(--gray03);
    font-weight: 400;
}
.form textarea {
    overflow: auto;
    height: 200px;
    resize: none;
    line-height: 130%;
}
.form select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    cursor: pointer;
}
.form select::-ms-expand {
    display: none;
}
.form .button {
    display: inline-block;
    padding: 12px 0;
    margin: 0 auto;
    min-width: 180px;
    background-color: var(--blue-aqua-buttons);
    border-radius: 5px;
    cursor: pointer;
    font-family: 'Montserrat',sans-serif;
    font-size: 0.8rem;
    color: #FFF;
    text-align: center;
    font-weight: 700;
}
.form .button:hover,
.form .button:active {
    background-color: var(--blue-aqua-buttons-hover);
}
.form .button:disabled {
    opacity: 0.3;
}
@media handheld, only screen and (max-width: 620px) {
    .form .button {
        min-width: 100%;
    }
}
@media handheld, only screen and (max-width: 580px) {
    .form .row,
    .form .short {
        display: block;
        width: 100%;
    }
    .form .input,
    .form .select {
        margin-bottom: 15px;
    }
}

/*
    ---------------------------------------------------------
    Sections
    ---------------------------------------------------------
*/

.profile-login-form,
.profile-reset-form {
    max-width: 500px;
    margin: 0 auto;
}

.profile-login-form .forget-password,
.profile-reset-form .forget-password {
    display: block;
    margin-top: 10px;
    font-size: 0.7rem;
    color: var(--blue-aqua-buttons);
    font-weight: 700;
    text-decoration: none;
}
.profile-login-form .forget-password:hover,
.profile-login-form .forget-password:active,
.profile-reset-form .forget-password:hover,
.profile-reset-form .forget-password:active {
    text-decoration: underline;
}

.profile-login .section-h2 {
    text-align: center;
}

.profile-reset-form .button,
.profile-myaccount-form .button {
    padding-left: 25px;
    padding-right: 25px;
}

.profile-myaccount .title-box {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 30px;
}
.profile-myaccount .section-h2 {
    margin-bottom: 0;
}
.profile-myaccount .button-logout {
    display: inline-block;
    padding: 8px 10px 0;
    height: 26px;
    background-color: var(--blue-aqua-buttons);
    border-radius: 5px;
    cursor: pointer;
    font-size: 0.6rem;
    line-height: 120%;
    color: #FFF;
    font-weight: 700;
    text-transform: uppercase;
    text-decoration: none;
}
.profile-myaccount .button-logout:hover,
.profile-myaccount .button-logout:active {
    background-color: var(--blue-aqua-buttons-hover);
}
@media handheld, only screen and (max-width: 480px) {
    .profile-myaccount .title-box {
        display: block;
    }
    .profile-myaccount .section-h2 {
        margin-bottom: 5px;
    }
}

.profile-myaccount .section-h3 {
    font-size: 1.2rem;
    color: var(--blue-aqua-buttons);
    font-weight: 500;
}

.profile-myaccount-form .fieldset {
    text-align: left;
}
@media handheld, only screen and (max-width: 820px) {
    .profile-myaccount-form .fieldset {
        text-align: right;
    }
}

.profile-myaccount-orders .list {
    overflow-y: auto;
    width: 100%;
    min-height: 400px;
    max-height: 900px;
    background-color: #FFF;
    border: solid 2px var(--gray04);
    border-radius: 8px;
}
.profile-myaccount-order-row {
    display: block;
    overflow: hidden;
    margin: 15px;
    background-color: var(--gray05);
    border: solid 1px var(--gray03);
    border-radius: 4px;
    font-size: 0.7rem;
    font-weight: 500;
}
.profile-myaccount-order-row p {
    margin: 0;
    line-height: 140%;
}
.profile-myaccount-order-row .number-and-date,
.profile-myaccount-order-row .order-info {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.profile-myaccount-order-row .number-and-date {
    padding: 4px 15px;
    background-color: var(--gray03);
    font-size: 0.8rem;
    color: #FFF;
    text-transform: uppercase;
}
.profile-myaccount-order-row .order-info,
.profile-myaccount-order-row .order-items {
    padding: 10px 15px;
}
.profile-myaccount-order-row .order-items {
    padding-top: 0;
}
.profile-myaccount-order-row .order-items-box {
    display: none;
    overflow-x: auto;
}
.profile-myaccount-order-row .order-items,
.profile-myaccount-order-row .order-items thead,
.profile-myaccount-order-row .order-items tbody {
    width: 100%;
}
.profile-myaccount-order-row .order-items {
    min-width: 300px;
}
.profile-myaccount-order-row .order-items th,
.profile-myaccount-order-row .order-items td {
    padding: 5px 0;
    line-height: 110%;
    border-bottom: dashed 1px var(--gray03);
    vertical-align: middle;
}
.profile-myaccount-order-row .order-items th:nth-child(2),
.profile-myaccount-order-row .order-items td:nth-child(2) {
    width: 70px;
    text-align: center;
}
.profile-myaccount-order-row .order-items th:nth-child(3),
.profile-myaccount-order-row .order-items td:nth-child(3) {
    width: 50px;
    text-align: center;
}
.profile-myaccount-order-row .order-items th:nth-child(4),
.profile-myaccount-order-row .order-items td:nth-child(4) {
    text-align: right;
}
.profile-myaccount-order-row .order-items a {
    color: var(--gray01);
    text-decoration: underline;
}
.profile-myaccount-order-row .order-items a:hover,
.profile-myaccount-order-row .order-items a:active {
    color: var(--blue-aqua-buttons);
    text-decoration: none;
}
@media handheld, only screen and (max-width: 820px) {
    .profile-myaccount-orders .list {
        overflow-y: visible;
        min-height: none;
        max-height: none;
    }
}
@media handheld, only screen and (max-width: 460px) {
    .profile-myaccount-order-row .number-and-date,
    .profile-myaccount-order-row .order-info {
        display: block;
    }
}

.profile-myaccount-order-row .switch-label {
    display: flex;
    flex-direction: row;
    align-items: center;
    cursor: pointer;
}
.profile-myaccount-order-row .switch,
.profile-myaccount-order-row .switch::before {
    display: inline-block;
}
.profile-myaccount-order-row .switch {
    position: relative;
    overflow: hidden;
    width: 28px;
    height: 18px;
    margin-right: 5px;
    border: solid 2px var(--gray03);
    background-color: #FFF;
    border-radius: 100px;
    cursor: pointer;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}
.profile-myaccount-order-row .switch::before {
    float: left;
    margin: 2px 2px 0;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    background-color: var(--gray02);
    content: '';
}
.profile-myaccount-order-row .switch:checked {
    border-color: var(--blue-aqua-buttons);
}
.profile-myaccount-order-row .switch:checked ~ span {
    color: var(--blue-aqua-buttons);
}
.profile-myaccount-order-row .switch:checked::before {
    float: right;
    background-color: var(--blue-aqua-buttons);
}








